package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsArticleScrm;
import com.fs.hisStore.param.FsArticleQueryParam;
import com.fs.hisStore.vo.FsArticleListQueryVO;
import com.fs.hisStore.vo.FsArticleVO;

/**
 * 文章Service接口
 * 
 * @author fs
 * @date 2022-03-25
 */
public interface IFsArticleScrmService 
{
    /**
     * 查询文章
     * 
     * @param articleId 文章ID
     * @return 文章
     */
    public FsArticleScrm selectFsArticleById(Integer articleId);

    /**
     * 查询文章列表
     * 
     * @param fsArticle 文章
     * @return 文章集合
     */
    public List<FsArticleScrm> selectFsArticleList(FsArticleScrm fsArticle);

    /**
     * 新增文章
     * 
     * @param fsArticle 文章
     * @return 结果
     */
    public int insertFsArticle(FsArticleScrm fsArticle);

    /**
     * 修改文章
     * 
     * @param fsArticle 文章
     * @return 结果
     */
    public int updateFsArticle(FsArticleScrm fsArticle);

    /**
     * 批量删除文章
     * 
     * @param articleIds 需要删除的文章ID
     * @return 结果
     */
    public int deleteFsArticleByIds(Integer[] articleIds);

    /**
     * 删除文章信息
     * 
     * @param articleId 文章ID
     * @return 结果
     */
    public int deleteFsArticleById(Integer articleId);

    List<FsArticleVO> selectFsArticleListVO(FsArticleScrm fsArticle);

    List<FsArticleListQueryVO> selectFsArticleListQuery(FsArticleQueryParam param);


}
